Support for being able to build a host group from from multiple hostgroups that are not nested
Description
Allow hostgroups to be created from multiple hostgroups giving the ability to create 'profiles' that can be rolled into a hostgroup.
History

#1 - 08/30/2013 02:34 PM - Steven Bambling

Steven Bambling wrote:
Allow hostgroups to be created from multiple hostgroups giving the ability to create 'profiles' that can be rolled into a hostgroup.
Hostgroup A--\
LostGroupC
1—|ostgroup B--/
My thought was to follow the principal of classes can be added to 'profiles' and one or more profiles can be rolled into a hostgroup ( node role ).
This allows for creating groups of users accounts that can be applied reused in multiple host groups or
Creating a 'profile' for a service that consists of multiple application such as (jboss,mysqgl and apahce).
#2 - 06/27/2014 10:52 AM - Steven Bambling
Steven Bambling wrote:
Allow hostgroups to be created from multiple hostgroups giving the ability to create 'profiles' that can be rolled into a hostgroup.
Hostgroup A--\
LostGroupC

/
Hostgroup B--/

#3 - 06/27/2014 01:48 PM - Dominic Cleal

- Status changed from New to Resolved

Resolved in Foreman 1.5 with config groups (#4204).
